Package: org.codehaus.groovy.runtime

## [Java] Class IteratorClosureAdapter<T>

- org.codehaus.groovy.runtime.IteratorClosureAdapter

- A closure which stores calls in a List so that method calls can be iterated over in a 'yield' style way

- - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class Closure` | `DELEGATE_FIRST, DELEGATE_ONLY, DONE, IDENTITY, OWNER_FIRST, OWNER_ONLY, SKIP, TO_SELF, maximumNumberOfParameters, parameterTypes`

  - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `MetaClass` | `metaClass`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `IteratorClosureAdapter (Object delegate)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `List<T>` | `asList()`
    `` | `protected Object` | `doCall(T argument)`
    `` | `MetaClass` | `getMetaClass()`
    `` | `void` | `setMetaClass(MetaClass metaClass)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Closure` | `asWritable, call, call, call, clone, curry, curry, dehydrate, getDelegate, getDirective, getMaximumNumberOfParameters, getOwner, getParameterTypes, getProperty, getResolveStrategy, getThisObject, isCase, leftShift, leftShift, memoize, memoizeAtLeast, memoizeAtMost, memoizeBetween, ncurry, ncurry, rcurry, rcurry, rehydrate, rightShift, run, setDelegate, setDirective, setProperty, setResolveStrategy, throwRuntimeException, trampoline, trampoline`
    `class GroovyObjectSupport` | `getMetaClass, getProperty, invokeMethod, setMetaClass, setProperty`
    `class Object` | `wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`

- - ### Property Detail

    - #### MetaClass metaClass

  - ### Constructor Detail

    - #### public IteratorClosureAdapter(Object delegate)

  - ### Method Detail

    - #### public List<T> asList()

    - #### protected Object doCall(T argument)

    - #### public MetaClass getMetaClass()

    - #### public void setMetaClass(MetaClass metaClass)